NodeRings Docs

Create Prefix

Prefix management

POST
/v1/ipam/prefixes
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

networkId?string
cidr?string
gateway?string
reservedIps?e.g., ["10.0.0.100", "10.0.0.200"] (must be within CIDR)
allocationStrategy?string
Default"ALLOCATION_STRATEGY_UNSPECIFIED"
Value in"ALLOCATION_STRATEGY_UNSPECIFIED" | "ALLOCATION_STRATEGY_SEQUENTIAL" | "ALLOCATION_STRATEGY_RANDOM" | "ALLOCATION_STRATEGY_FIRST_AVAILABLE" | "ALLOCATION_STRATEGY_LAST_AVAILABLE"
description?string
vmAssignmentPrefixLength?integer
Formatint32

Response Body

application/json

curl -X POST "https://api.nrings.io/v1/ipam/prefixes" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "networkId": "string",  "cidr": "string",  "gateway": "string",  "reservedIps": [    "string"  ],  "allocationStrategy": "ALLOCATION_STRATEGY_UNSPECIFIED",  "description": "string",  "vmAssignmentPrefixLength": 0}'
{
  "success": true
}